package com.cirs.quartz.task;

import com.cirs.common.core.redis.RedisCache;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component("TimingTask")
public class TimingTask {
    @Autowired
    private RedisCache redisCache;

    protected final Logger logger = LoggerFactory.getLogger(this.getClass());
    public void startTask(){
        logger.info("定时任务启动");
        redisCache.deleteObject("top10_components");
    }
}
